function [] = runPreview30x100(musArr44, cntArr30x100, corStrArr, startSample, endSample)
    % cntArr60x100 er n x 2 x 100
    % Plotter i fig 2
    
    fs = 44100;
    
    musClickSum = 0.5* musArr44(startSample:endSample, :);
    player = audioplayer(musClickSum, fs);
    play(player);
    
    framePerSec = fs/30;
    sampDiffTime = framePerSec/fs;
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    
    figure(2);
    clf;
    [F, V] = agent2(0, 0);
    h1 = plotPoly(F(1:end/2, :), V, 'dark', 'edgeOff', 'col', [1 0.5 0.5]);
    h2 = plotPoly(F(end/2+1:end, :), V, 'dark', 'edgeOff', 'col', [0.8 0.5 1]);
    for i = startSample : 1 : endSample
        del = 0;
        cl_old = cl;
        while del < sampDiffTime % pause
            cl = clock;
            cl = cl(4)*60*60 + cl(5)*60 + cl(6);
            del = cl - cl_old;
        end
        [~, V] = agent2(cntArr30x100(i, 1, j), cntArr30x100(i, 2, j));
        figure(2);
        set(h1, 'Vertices', V);
        set(h2, 'Vertices', V);
        ccc = findNermestClick(i, corStrArr);
        set(gcf,'name', num2str(ccc));
        
        axis([-1 1 0 1 -1 1]);
        view(0,90);
        drawnow;
    end
    close(2);
    
    figure(1);
    
    
end